<div class="pm-container">
  <pm-spinner [isRunning]="isRequesting" delay="0"></pm-spinner>

  <h3>List of places for key word(s): <strong>"{{name}}"</strong></h3>
  <div class="alert alert-danger"
      *ngIf="errorMessage"
      role="alert">
    {{errorMessage._body}}
  </div>
  <div class="tiles">
    <div class="tile"
        *ngFor="let place of places; let idx = index"
        [routerLink]="['/places', place._id]"
        infinite-scroll
        [infiniteScrollDistance]="1"
        [infiniteScrollThrottle]="5000"
        (scrolled)="onScroll()"
        [@list]
    >
      <div class="tile-inner">
        <img class="icon" src="{{place.icon}}" alt="{{place.name}}">
        <h5>{{place.name}}</h5>
        <img *ngIf="place.photos[0]" src="https://maps.googleapis.com/maps/api/place/photo?maxwidth={{ place.photos[0].width }}&photoreference={{ place.photos[0].photo_reference }}&key={{ googleAPI }}">
      </div><!-- tile-inner -->
    </div><!-- tile -->
  </div><!-- tiles -->
</div>
